(function ($, Drupal, once) {
  // Store our function as a property of Drupal.behaviors.
  Drupal.behaviors.main_menu = {
    attach: function (context, settings) {
      // Trigger dropdowns - all screen sizes.
      const menu_trigger = once("menu_triggers", ".menu-trigger");
      $(menu_trigger, context).click(function () {
        // Toggle action
        if ($(this).attr("aria-expanded") === "false") {
          // Close others that are Open
          $('.menu-trigger[aria-expanded="true"]').attr("aria-expanded", false);
          $(this).attr("aria-expanded", "true").addClass("open");
        } else {
          $(this).attr("aria-expanded", "false").removeClass("open");
        }
      });

      const menu_toggle_buttons = $(".menu-toggle, .menu-close");
      $(menu_toggle_buttons).on("click", function () {
        if ($(this).attr("aria-expanded") == "false") {
          // Open the menu
          console.log("open");
          menu_toggle_buttons.attr("aria-expanded", "true");
          // Also moves the focus to the first link item (for screen readers)
          $("#menu-container .menu--main").attr("tabindex", "-1").focus();
          // Change the button text
          var toggle_text = $(".menu-toggle span").html();
          $(this)
            .children(".toggle-label")
            .html($(".menu-toggle").attr("data-hide-text"));
        } else {
          // Close the menu
          $(".menu-toggle").focus();
          menu_toggle_buttons.attr("aria-expanded", "false");
          menu_toggle_buttons.children(".toggle-label").html(toggle_text);
        }
        $("body", context).toggleClass("menu--open");
      });
    },
  };
})(jQuery, Drupal, once);
